mise(1)

NAME
mise - The front-end to your dev env

SYNOPSIS
mise [-C|--cd] [-q|--quiet] [-v|--verbose]... [-y|--yes] [-h|--help] [-V|--version] <subcommands>

DESCRIPTION
mise is a tool for managing runtime versions. https://github.com/jdx/mise

It's a replacement for tools like nvm, nodenv, rbenv, rvm, chruby, pyenv, etc. that works for any language. It's also great for managing linters/tools like jq and shellcheck.

It is inspired by asdf and uses asdf's plugin ecosystem under the hood: https://asdf-vm.com/

OPTIONS

-C, --cd=DIR
    Change directory before running command

-q, --quiet
    Suppress non-error messages

-v, --verbose
    Show extra output (use -vv for even more)

-y, --yes
    Answer yes to all confirmation prompts

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

mise-activate(1)
    Initializes mise in the current shell session

mise-alias(1)
    Manage aliases

mise-backends(1)
    Manage backends

mise-bin-paths(1)
    List all the active runtime bin paths

mise-cache(1)
    Manage the mise cache

mise-completion(1)
    Generate shell completions

mise-config(1)
    [experimental] Manage config files

mise-current(1)
    Shows current active and installed runtime versions

mise-deactivate(1)
    Disable mise for current shell session

mise-direnv(1)
    Output direnv function to use mise inside direnv

mise-doctor(1)
    Check mise installation for possible problems

mise-env(1)
    Exports env vars to activate mise a single time

mise-exec(1)
    Execute a command with tool(s) set

mise-generate(1)
    [experimental] Generate files for various tools/services

mise-implode(1)
    Removes mise CLI and all related data

mise-install(1)
    Install a tool version

mise-latest(1)
    Gets the latest available version for a plugin

mise-link(1)
    Symlinks a tool version into mise

mise-ls(1)
    List installed and active tool versions

mise-ls-remote(1)
    List runtime versions available for install

mise-outdated(1)
    Shows outdated tool versions

mise-plugins(1)
    Manage plugins

mise-prune(1)
    Delete unused versions of tools

mise-registry(1)
    [experimental] List available tools

mise-reshim(1)
    rebuilds the shim farm

mise-run(1)
    [experimental] Run a tasks

mise-self-update(1)
    Updates mise itself

mise-set(1)
    Manage environment variables

mise-settings(1)
    Manage settings

mise-shell(1)
    Sets a tool version for the current session

mise-sync(1)
    Add tool versions from external tools to mise

mise-tasks(1)
    [experimental] Manage tasks

mise-trust(1)
    Marks a config file as trusted

mise-uninstall(1)
    Removes runtime versions

mise-unset(1)
    Remove environment variable(s) from the config file

mise-upgrade(1)
    Upgrades outdated tool versions

mise-usage(1)
    Generate a usage CLI spec

mise-use(1)
    Install tool version and add it to config

mise-version(1)
    Show mise version

mise-watch(1)
    [experimental] Run a tasks watching for changes

mise-where(1)
    Display the installation path for a runtime

mise-which(1)
    Shows the path that a bin name points to

mise-help(1)
    Print this message or the help of the given subcommand(s)

EXTRA
Examples:
    $ mise install node@20.0.0 Install a specific node version
    $ mise install node@20 Install a version matching a prefix
    $ mise install node Install the node version defined in config
    $ mise install Install all plugins/tools defined in config
    $ mise install cargo:ripgrep Install something via cargo
    $ mise install npm:prettier Install something via npm
    $ mise use node@20 Use node-20.x in current project
    $ mise use -g node@20 Use node-20.x as default
    $ mise use node@latest Use latest node in current directory
    $ mise use -g node@system Use system node everywhere unless overridden
    $ mise up --interactive Show a menu to upgrade tools
    $ mise x -- npm install `npm install` w/ config loaded into PATH
    $ mise x node@20 -- node app.js `node app.js` w/ config + node-20.x on PATH
    $ mise set NODE_ENV=production Set NODE_ENV=production in config
    $ mise run build Run `build` tasks
    $ mise watch build Run `build` tasks repeatedly when files change
    $ mise settings Show settings in use
    $ mise settings set color 0 Disable color by modifying global config file

VERSION
v2024.8.12

AUTHORS
Jeff Dickey <@jdx>